Description: Patch to fix build failures on non x86 machines.
Origin: Debian

--- a/Makefile
+++ b/Makefile
@@ -24,7 +24,10 @@
 # -D_USE_SHMEM_
 
 CPPFLAGS += ${INCLUDES}
-CPPFLAGS += -O2 -Wall -fPIC -shared -fstrict-aliasing -msse2
+CPPFLAGS += -O2 -Wall -fPIC -shared -fstrict-aliasing
+MACHINE_OPTS = $(shell gcc -xc -c /dev/null -msse2 -o /dev/null \
+                 >/dev/null 2>&1 && echo -msse2)
+CPPFLAGS += $(MACHINE_OPTS)
 LDFLAGS = -Wl,-soname,${BCLIB_SL} -pthread
 
 SRCFILES = 	libcrystalhd_if.cpp \
